%define upstream_name WWW-Search-AlltheWeb
%define upstream_version 1.5

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:	WWW::Search::AlltheWeb - class for searching AlltheWeb
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW//%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(WWW::Search)
BuildArch:	noarch

%description
AlltheWeb is a class specialization of WWW::Search. It handles
making and interpreting AlltheWeb searches. This is one of the
fastest and largest search engines around.

http://www.alltheweb.com

This class exports no public interface; all interaction should
be done through WWW::Search objects. See SYNOPSIS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/WWW/Search/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1035851
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 939807
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-11.mga5
+ Revision: 740352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-10.mga5
+ Revision: 686863
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-9.mga4
+ Revision: 515896
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5-8.mga3
+ Revision: 374804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.5-7.mga1
+ Revision: 40772
- mageia rebuild
- imported package perl-WWW-Search-AlltheWeb


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.5-7mdv2010.0
+ Revision: 430661
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-6mdv2009.0
+ Revision: 242159
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5-4mdv2008.0
+ Revision: 25464
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.5-3mdv2008.0
+ Revision: 23568
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdk
- initial Mandriva package

